Main Page Class List Class Members

# capnp::schemas Namespace Reference

## Enumerations
enum | Type_b197145e18e8b82a { E_S_P_H_E_R_E, E_P_L_A_N_E, E_C_A_P_S_U_L_E, E_B_O_X, E_C_O_N_V_E_X_M_E_S_H, E_T_R_I_A_N_G_L_E_M_E_S_H, E_H_E_I_G_H_T_F_I_E_L_D }
enum | Type_b292bd608606f041 { ASSET_DATA_BLOCK, INSTANCE_DATA_BLOCK }
## Functions
| CAPNP_DECLARE_ENUM (Type, b197145e18e8b82a)
| CAPNP_DECLARE_ENUM (Type, b292bd608606f041)
| CAPNP_DECLARE_SCHEMA (ed817d93facd8e00)
| CAPNP_DECLARE_SCHEMA (b7dbad810488a897)
| CAPNP_DECLARE_SCHEMA (ffd67c4b7067dde6)
| CAPNP_DECLARE_SCHEMA (fe3844eab62f741c)
| CAPNP_DECLARE_SCHEMA (d9e85646bf529a45)
| CAPNP_DECLARE_SCHEMA (aea6c3ede69b9227)
| CAPNP_DECLARE_SCHEMA (b197145e18e8b82a)
| CAPNP_DECLARE_SCHEMA (adae9deb89212865)
| CAPNP_DECLARE_SCHEMA (864211458400770e)
| CAPNP_DECLARE_SCHEMA (920ebb03da744765)
| CAPNP_DECLARE_SCHEMA (e67e9b52a4f4c5dc)
| CAPNP_DECLARE_SCHEMA (bfd00835cc19bf3a)
| CAPNP_DECLARE_SCHEMA (f018cbfcaacb3a55)
| CAPNP_DECLARE_SCHEMA (c43da43c95eada67)
| CAPNP_DECLARE_SCHEMA (92818c664a7b1aba)
| CAPNP_DECLARE_SCHEMA (b292bd608606f041)
| CAPNP_DECLARE_SCHEMA (d5e1a9fb31b1350d)
| CAPNP_DECLARE_SCHEMA (ce4f8468c36f427d)

## Enumeration Type Documentation

enum capnp::schemas::Type_b197145e18e8b82a

Enumerator:

  E_S_P_H_E_R_E |
  E_P_L_A_N_E |
  E_C_A_P_S_U_L_E |
  E_B_O_X |
  E_C_O_N_V_E_X_M_E_S_H |
  E_T_R_I_A_N_G_L_E_M_E_S_H |
  E_H_E_I_G_H_T_F_I_E_L_D |

enum capnp::schemas::Type_b292bd608606f041

Enumerator:

  ASSET_DATA_BLOCK |
  INSTANCE_DATA_BLOCK |

## Function Documentation

capnp::schemas::CAPNP_DECLARE_ENUM | ( | Type | ,
|  | b197145e18e8b82a |  |
| ) |  |  |

capnp::schemas::CAPNP_DECLARE_ENUM | ( | Type | ,
|  | b292bd608606f041 |  |
| ) |  |  |

capnp::schemas::CAPNP_DECLARE_SCHEMA | ( | ed817d93facd8e00 |  | ) |

capnp::schemas::CAPNP_DECLARE_SCHEMA | ( | b7dbad810488a897 |  | ) |

capnp::schemas::CAPNP_DECLARE_SCHEMA | ( | ffd67c4b7067dde6 |  | ) |

capnp::schemas::CAPNP_DECLARE_SCHEMA | ( | fe3844eab62f741c |  | ) |

capnp::schemas::CAPNP_DECLARE_SCHEMA | ( | d9e85646bf529a45 |  | ) |

capnp::schemas::CAPNP_DECLARE_SCHEMA | ( | aea6c3ede69b9227 |  | ) |

capnp::schemas::CAPNP_DECLARE_SCHEMA | ( | b197145e18e8b82a |  | ) |

capnp::schemas::CAPNP_DECLARE_SCHEMA | ( | adae9deb89212865 |  | ) |

capnp::schemas::CAPNP_DECLARE_SCHEMA | ( | 864211458400770e |  | ) |

capnp::schemas::CAPNP_DECLARE_SCHEMA | ( | 920ebb03da744765 |  | ) |

capnp::schemas::CAPNP_DECLARE_SCHEMA | ( | e67e9b52a4f4c5dc |  | ) |

capnp::schemas::CAPNP_DECLARE_SCHEMA | ( | bfd00835cc19bf3a |  | ) |

capnp::schemas::CAPNP_DECLARE_SCHEMA | ( | f018cbfcaacb3a55 |  | ) |

capnp::schemas::CAPNP_DECLARE_SCHEMA | ( | c43da43c95eada67 |  | ) |

capnp::schemas::CAPNP_DECLARE_SCHEMA | ( | 92818c664a7b1aba |  | ) |

capnp::schemas::CAPNP_DECLARE_SCHEMA | ( | b292bd608606f041 |  | ) |

capnp::schemas::CAPNP_DECLARE_SCHEMA | ( | d5e1a9fb31b1350d |  | ) |

capnp::schemas::CAPNP_DECLARE_SCHEMA | ( | ce4f8468c36f427d |  | ) |